- Creates a new job posting type record that does not already exist.
This method will auto-generate an ID and create a new job posting type. If an ID is specified for the job posting type, an error will be thrown.
The job posting type that you would like to be saved.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobPostingTypes/{tenantId}
- https://careers.api.rhythmsoftware.comhttps://careers.api.rhythmsoftware.com/jobPostingTypes/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobPostingTypes/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string",
"is_active": true,
"name": "string",
"process_id": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_locked": true,
"sys_version": 0.1
}'The job posting type was saved successfully.
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
{ "id": "string", "is_active": true, "name": "string", "process_id": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1 }